> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-admin-guide/parallels-ras-21-administrators-guide/common-management-tasks/ras-session-variables.md).

# RAS session variables

When a remote user starts a published application or desktop, a set of session variables is created by Parallels RAS on the host server. The variables contain information about the client machine, which you can examine if needed. The variables are always updated, so on connect/reconnect they always contain the latest values.

The following RAS session variables are available:

<table data-header-hidden><thead><tr><th width="315">Variable name</th><th>Description</th></tr></thead><tbody><tr><td>TUX_REMOTECLIENT_PLATFORM </td><td>Name and version of the operating system running on the client machine. For example, "Windows 8.1 Enterprise Edition (WOW 64)", "iPhone OS 9.2.1", "Android 6.0", etc.</td></tr><tr><td>TUX_REMOTECLIENT_MAC</td><td>MAC address of the client machine.</td></tr><tr><td>TUX_REMOTECLIENT_IP</td><td>IP address of the client machine as seen by the client.</td></tr><tr><td>TUX_REMOTECLIENT_LANG</td><td><p>Language used by the GUI on the client machine: EN, FR, RU, DE, ES, IT, PT, NL, JP, CS (Chinese Simplified), CT (Chinese Traditional), KR (Korean).</p><p>Note that on macOS, iOS, and Android devices, the language is reported as the one used in the OS but only if it's a supported language. If it's not supported, it will default to EN.</p></td></tr><tr><td>TUX_REMOTECLIENT_MACHINE</td><td>Client's computer name. For example, "Bob's iPad mini 1st generation", "BobPC", "Bob's iMac", etc.</td></tr><tr><td>TUX_REMOTECLIENT_LOGIN</td><td>The username (including domain) that was used to log in to Parallels RAS. For example, myuser@somedomain.</td></tr><tr><td>TUX_REMOTECLIENT_VERSION</td><td>Parallels Client version.</td></tr><tr><td>TUX_REMOTECLIENT_VENDOR</td><td>Device vendor name. For example, "Asus", "Apple", "Google", etc.</td></tr><tr><td>TUX_REMOTECLIENT_MODEL</td><td>Device model name. For example, "Nexus 5", "iPad2.6", etc.</td></tr></tbody></table>

You can view RAS session variables and their values using one of the following two methods:

* By examining the Windows registry on the host server.
* By executing the GetRASVariable.exe utility (provided by Parallels RAS).

Each method is described below.

### Examine the registry

To see the variables, run `regedit` and navigate to `HKEY_CURRENT_USER\Software\Parallels\Shell\<Session-ID>`, where \<Session-ID> is the ID of a session as displayed in the RAS Console (e.g. 2, 3, 4, etc.) The variables for a particular session are listed under the session ID node. On user connect/reconnect they are updated to reflect the actual client configuration. The variables exist for the duration of a session and are removed from the registry once the session is terminated.

Please note that in addition to the variables listed in the table above you may see other (undocumented) variables under a session ID. Those are for internal Parallels RAS use only and should be ignored.

### Using GetRASVariable.exe utility

The GetRASVariable.exe utility is located in the Parallels RAS installation folder (e.g. C:\Program Files (x86)\Parallels\ApplicationServer). To obtain a value of a variable, execute the utility from the command line passing the variable name as parameter (see the table above). The utility will output the value to the screen.

The following example displays the value of the TUX\_REMOTECLIENT\_MACHINE variable:

`GetRASVariable.exe TUX_REMOTECLIENT_MACHINE`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-admin-guide/parallels-ras-21-administrators-guide/common-management-tasks/ras-session-variables.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
